Assessments for a standard
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"identifier": "im:5f1b43a3-a087-5f15-8e0e-b5dd3d2d3d23",
"name": "End-of-Unit Assessment",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
},
{
"identifier": "im:b98c7782-3cb1-5198-8ebe-aab294d9227b",
"name": "End-of-Unit Assessment",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
}
],
"pagination": {
"limit": 100,
"nextCursor": null,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Assessments for a standard
Fetches summary information for all assessments that evaluate a specific academic standard.
Returns assessment summaries (identifier, name) that are aligned to this standard, indicating which assessments measure student achievement of this learning expectation.
Use this endpoint when you need to:
- Find all assessments that evaluate a specific standard
- Build standards-based assessment systems
- Track which standards are assessed
- Generate assessment coverage reports
GET
/
academic-standards
/
{caseIdentifierUUID}
/
assessments
Assessments for a standard
Authorizations
API key for authentication
Path Parameters
CASE Network UUID for the resource
Query Parameters
Maximum number of results to return
Required range:
1 <= x <= 1000Pagination cursor obtained from the nextCursor field in a previous response (not needed for the first page)
Was this page helpful?
⌘I